use bindings::exports::component::churn_tasks::task::Guest;

#[allow(warnings)]
mod bindings;

struct Component;

impl Guest for Component {
    fn id() -> String {
        "grafana/alloy".into()
    }

    fn should_run() -> bool {
        true
    }

    fn execute() {
        println!("I was run");
    }
}

bindings::export!(Component with_types_in bindings);
